import React from 'react';
import cx from 'classnames';
import PropTypes from 'prop-types';
var BASE_CLASS = "sui-MoleculeBadgeCounter";
var CLASS_WITH_CHILDREN = BASE_CLASS + "--withChildren";
var CLASS_BULLET = BASE_CLASS + "-bullet";
var CLASS_SMALL = CLASS_BULLET + "-small";
var CLASS_MEDIUM = CLASS_BULLET + "-medium";
var CLASS_MEDIUM_THREE_CHARS = CLASS_MEDIUM + "--threeCharacters";
var SIZES = {
  SMALL: 'small',
  MEDIUM: 'medium'
};
var VARIANTS = {
  DOT: 'dot',
  EXCLAMATION: 'exclamation'
};

var MoleculeBadgeCounter = function MoleculeBadgeCounter(_ref) {
  var _cx, _cx2;

  var children = _ref.children,
      _ref$label = _ref.label,
      label = _ref$label === void 0 ? '' : _ref$label,
      size = _ref.size,
      variant = _ref.variant;
  var hasLabel = Boolean(label);
  var hasChildren = Boolean(children);
  var CLASS_SIZE = size === SIZES.MEDIUM || hasLabel ? CLASS_MEDIUM : CLASS_SMALL;
  var CLASS_LENGTH_LABEL = hasLabel && (label + '').length >= 3 ? CLASS_MEDIUM_THREE_CHARS : '';
  var CLASS_VARIANT = variant ? CLASS_SIZE + "-" + variant : '';
  var className = cx(BASE_CLASS, (_cx = {}, _cx[CLASS_WITH_CHILDREN] = hasChildren, _cx));
  var processedLabel = label.length >= 3 ? '+99' : label;
  var classNameBullet = cx(CLASS_BULLET, CLASS_SIZE, CLASS_VARIANT, CLASS_LENGTH_LABEL, (_cx2 = {}, _cx2[CLASS_WITH_CHILDREN] = Boolean(children), _cx2));
  return /*#__PURE__*/React.createElement("span", {
    className: className
  }, /*#__PURE__*/React.createElement("span", {
    className: classNameBullet
  }, processedLabel), /*#__PURE__*/React.createElement("span", null, children));
};

MoleculeBadgeCounter.displayName = 'MoleculeBadgeCounter';
export default MoleculeBadgeCounter;
export { SIZES as moleculeBadgeCounterSizes, VARIANTS as moleculeBadgeCounterVariants };